<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <section id="payment">
                <group id="debitpayment" translate="label" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Bankeinzug / Lastschrift</label>
                    <field id="active" translate="label comment" sortOrder="1" type="select" showInDefault="1" showInWebsite="1" showInStore="0">
                        <label>Enable</label>
                        <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                    </field>     
					<field id="instructions" translate="label" sortOrder="61" showInDefault="1" showInWebsite="1" showInStore="1">
						<label>Our Creditor Identification Number</label>
					</field>
                    <field id="remoteURL" translate="label" sortOrder="61" showInDefault="1" showInWebsite="1" showInStore="1">
						<label>Remote URL for IBAN Validation</label>
					</field>
                    <field id="autopopulate" translate="label" type="select" sortOrder="62" showInDefault="1" showInWebsite="1" showInStore="1">
						<label>Auto Populate BIC &amp; Name</label>
                        <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
					</field>
					<field id="checkbox" translate="label comment" sortOrder="100" type="select" showInDefault="1" showInWebsite="1" showInStore="0">
                        <label>Enable Checkbox</label>
                        <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                    </field>
					<field id="moreinfo" translate="label" sortOrder="101" showInDefault="1" showInWebsite="1" showInStore="1">
						<label>More Info</label>
					</field>
                    <field id="checkboxtext" translate="label comment" sortOrder="102" showInDefault="1" showInWebsite="1" showInStore="0">
                        <label>Checkbox Text</label>
                    </field>
                    <field id="enabledgroup" translate="label" type="multiselect" sortOrder="300" showInDefault="1" showInWebsite="1" showInStore="1">
						<label>Enabled For Group(s)</label>
                        <source_model>\Magento\Customer\Model\ResourceModel\Group\Collection</source_model>
					</field>
                </group>
        </section>
    </system>
</config>